Browse Source

[net-im/swift] do not use rm -f, remove now-obsolete sed and associated inherit

master
Robert Förster 6 years ago
parent
commit
8ae16c0d25
  1. 13
      net-im/swift/swift-9999.ebuild

13
net-im/swift/swift-9999.ebuild

@ -4,7 +4,7 @@
EAPI="6"
inherit scons-utils toolchain-funcs linux-info
inherit scons-utils toolchain-funcs
if [[ ${PV} = "9999" ]] ; then
EGIT_REPO_URI="git://swift.im/swift"
@ -54,23 +54,20 @@ set_scons_targets() {
src_prepare() {
# remove all bundled packages to ensure
# consistency of headers and linked libraries
rm -rf 3rdparty || die
rm -r 3rdparty || die
for x in ${LANGS}; do
if use !l10n_${x}; then
rm -f Swift/Translations/swift_${x}.ts || die
rm Swift/Translations/swift_${x}.ts || die
fi
done
if use !zeroconf; then
rm -rf Slumber || die
rm -r Slumber || die
fi
rm -rf Swift || die
rm -r Swift || die
sed -i BuildTools/SCons/Tools/qt4.py \
-e "s/linux2/linux${KV_MAJOR}/" \
|| die
eapply_user
}

Loading…
Cancel
Save